<?php
/**
******************************************************************************************
**   @version    4.0.0-dev                                                                  **
**   @package    com_joomgallery                                                        **
**   @author     JoomGallery::ProjectTeam <team@joomgalleryfriends.net>                 **
**   @copyright  2008 - 2023  JoomGallery::ProjectTeam                                  **
**   @license    GNU General Public License version 3 or later                          **
*****************************************************************************************/

// No direct access
defined('_JEXEC') or die;

use \Joomla\CMS\Language\Text;

$exif_config_array = array
(
  "IFD0" => array
  (
    270 => array(   'Attribute'   => "ImageDescription",
                    'Name'        => Text::_('COM_JOOMGALLERY_IFD0_IMAGEDESCRIPTION'),
                    'Description' => Text::_('COM_JOOMGALLERY_IFD0_IMAGEDESCRIPTION_DESCRIPTION'),
                    'Calculation' => "",
                    'Format'      => "ASCII String",
                    'Units'       => ""
                ),
    271 => array(   'Attribute'   => "Make",
                    'Name'        => Text::_('COM_JOOMGALLERY_IFD0_MAKE'),
                    'Description' => Text::_('COM_JOOMGALLERY_IFD0_MAKE_DESCRIPTION'),
                    'Calculation' => "",
                    'Format'      => "ASCII String",
                    'Units'       => ""
                ),
    272 => array(   'Attribute'   => "Model",
                    'Name'        => Text::_('COM_JOOMGALLERY_IFD0_MODEL'),
                    'Description' => Text::_('COM_JOOMGALLERY_IFD0_MODEL_DESCRIPTION'),
                    'Calculation' => "",
                    'Format'      => "ASCII String",
                    'Units'       => ""
                ),
    274 => array(   'Attribute'   => "Orientation",
                    'Name'        => Text::_('COM_JOOMGALLERY_IFD0_ORIENTATION'),
                    'Description' => Text::_('COM_JOOMGALLERY_IFD0_ORIENTATION_DESCRIPTION'),
                    'Calculation' => "Array",
                    'Format'      => "Unsigned Short",
                    'Units'       => "",
                                1 => Text::_('COM_JOOMGALLERY_IFD0_ORIENTATION_1'),
                                2 => Text::_('COM_JOOMGALLERY_IFD0_ORIENTATION_2'),
                                3 => Text::_('COM_JOOMGALLERY_IFD0_ORIENTATION_3'),
                                4 => Text::_('COM_JOOMGALLERY_IFD0_ORIENTATION_4'),
                                5 => Text::_('COM_JOOMGALLERY_IFD0_ORIENTATION_5'),
                                6 => Text::_('COM_JOOMGALLERY_IFD0_ORIENTATION_6'),
                                7 => Text::_('COM_JOOMGALLERY_IFD0_ORIENTATION_7'),
                                8 => Text::_('COM_JOOMGALLERY_IFD0_ORIENTATION_8')
                ),
    282 => array(   'Attribute'   => "XResolution",
                    'Name'        => Text::_('COM_JOOMGALLERY_IFD0_XRESOLUTION'),
                    'Description' => Text::_('COM_JOOMGALLERY_IFD0_XRESOLUTION_DESCRIPTION'),
                    'Calculation' => "Denum",
                    'Format'      => "Unsigned Rational",
                    'Units'       => Text::_('COM_JOOMGALLERY_IFD0_DOTSPERRESOLUTIONUNIT')
                ),
    283 => array(   'Attribute'   => "YResolution",
                    'Name'        => Text::_('COM_JOOMGALLERY_IFD0_YRESOLUTION'),
                    'Description' => Text::_('COM_JOOMGALLERY_IFD0_YRESOLUTION_DESCRIPTION'),
                    'Calculation' => "Denum",
                    'Format'      => "Unsigned Rational",
                    'Units'       => Text::_('COM_JOOMGALLERY_IFD0_DOTSPERRESOLUTIONUNIT')
                ),
    296 => array(   'Attribute'   => "ResolutionUnit",
                    'Name'        => Text::_('COM_JOOMGALLERY_IFD0_RESOLUTIONUNIT'),
                    'Description' => Text::_('COM_JOOMGALLERY_IFD0_RESOLUTIONUNIT_DESCRIPTION'),
                    'Calculation' => "Array",
                    'Format'      => "Unsigned Short",
                    'Units'       => "",
                                1 => Text::_('COM_JOOMGALLERY_IFD0_RESOLUTIONUNIT_1'),
                                2 => Text::_('COM_JOOMGALLERY_IFD0_RESOLUTIONUNIT_2'),
                                3 => Text::_('COM_JOOMGALLERY_IFD0_RESOLUTIONUNIT_3'),
                                4 => Text::_('COM_JOOMGALLERY_IFD0_RESOLUTIONUNIT_4'),
                                5 => Text::_('COM_JOOMGALLERY_IFD0_RESOLUTIONUNIT_5')
                ),
    305 => array(   'Attribute'   => "Software",
                    'Name'        => Text::_('COM_JOOMGALLERY_IFD0_SOFTWARE'),
                    'Description' => Text::_('COM_JOOMGALLERY_IFD0_SOFTWARE_DESCRIPTION'),
                    'Calculation' => "",
                    'Format'      => "ASCII String",
                    'Units'       => ""
                ),
    306 => array(   'Attribute'   => "DateTime",
                    'Name'        => Text::_('COM_JOOMGALLERY_IFD0_DATETIME'),
                    'Description' => Text::_('COM_JOOMGALLERY_IFD0_DATETIME_DESCRIPTION'),
                    'Calculation' => "",
                    'Format'      => "ASCII String",
                    'Units'       => ""
                ),
    318 => array(   'Attribute'   => "WhitePoint",
                    'Name'        => Text::_('COM_JOOMGALLERY_IFD0_WHITEPOINT'),
                    'Description' => Text::_('COM_JOOMGALLERY_IFD0_WHITEPOINT_DESCRIPTION'),
                    'Calculation' => "",
                    'Format'      => "Unsigned Rational",
                    'Units'       => ""
                ),
    319 => array(   'Attribute'   => "PrimaryChromaticities",
                    'Name'        => Text::_('COM_JOOMGALLERY_IFD0_PRIMARYCHROMATICITIES'),
                    'Description' => Text::_('COM_JOOMGALLERY_IFD0_PRIMARYCHROMATICITIES_DESCRIPTION'),
                    'Calculation' => "",
                    'Format'      => "Unsigned Rational",
                    'Units'       => ""
                ),
    529 => array(   'Attribute'   => "YCbCrCoefficients",
                    'Name'        => Text::_('COM_JOOMGALLERY_IFD0_YCBCRCOEFFICIENTS'),
                    'Description' => Text::_('COM_JOOMGALLERY_IFD0_YCBCRCOEFFICIENTS_DESCRIPTION'),
                    'Calculation' => "",
                    'Format'      => "Unsigned Rational",
                    'Units'       => ""
                ),
    531 => array(   'Attribute'   => "YCbCrPositioning",
                    'Name'        => Text::_('COM_JOOMGALLERY_IFD0_YCBCRPOSITIONING'),
                    'Description' => Text::_('COM_JOOMGALLERY_IFD0_YCBCRPOSITIONING_DESCRIPTION'),
                    'Calculation' => "Array",
                    'Format'      => "Unsigned Short",
                    'Units'       => "",
                                1 => Text::_('COM_JOOMGALLERY_IFD0_YCBCRPOSITIONING_1'),
                                2 => Text::_('COM_JOOMGALLERY_IFD0_YCBCRPOSITIONING_2')
                ),
    532 => array(   'Attribute'   => "ReferenceBlackWhite",
                    'Name'        => Text::_('COM_JOOMGALLERY_IFD0_REFERENCEBLACKWHITE'),
                    'Description' => Text::_('COM_JOOMGALLERY_IFD0_REFERENCEBLACKWHITE_DESCRIPTION'),
                    'Calculation' => "",
                    'Format'      => "Unsigned Rational",
                    'Units'       => ""
                ),
    315 => array(   'Attribute'   => "Artist",
                    'Name'        => Text::_('COM_JOOMGALLERY_IFD0_ARTIST'),
                    'Description' => Text::_('COM_JOOMGALLERY_IFD0_ARTIST_DESCRIPTION'),
                    'Calculation' => "",
                    'Format'      => "ASCII String",
                    'Units'       => ""
                ),
  33432 => array(   'Attribute'   => "Copyright",
                    'Name'        => Text::_('COM_JOOMGALLERY_IFD0_COPYRIGHT'),
                    'Description' => Text::_('COM_JOOMGALLERY_IFD0_COPYRIGHT_DESCRIPTION'),
                    'Calculation' => "",
                    'Format'      => "ASCII String",
                    'Units'       => ""
                ),
  ),

  'EXIF' => array
  (
  33434 => array(   'Attribute'   => "ExposureTime",
                    'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_EXPOSURETIME'),
                    'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_EXPOSURETIME_DESCRIPTION'),
                    'Calculation' => "",
                    'Format'      => "Unsigned Rational",
                    'Units'       => Text::_('COM_JOOMGALLERY_SECONDS')
                ),
  33437 => array(   'Attribute'   => "FNumber",
                    'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_FNUMBER'),
                    'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_FNUMBER_DESCRIPTION'),
                    'Calculation' => "Denum",
                    'Format'      => "Unsigned Rational",
                    'Units'       => ""
                ),
  34850 => array(   'Attribute'   => "ExposureProgram",
                    'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_EXPOSUREPROGRAM'),
                    'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_EXPOSUREPROGRAM_DESCRIPTION'),
                    'Calculation' => "Array",
                    'Format'      => "Unsigned Short",
                    'Units'       => "",
                                0 => Text::_('COM_JOOMGALLERY_SUBIFD_EXPOSUREPROGRAM_0'),
                                1 => Text::_('COM_JOOMGALLERY_SUBIFD_EXPOSUREPROGRAM_1'),
                                2 => Text::_('COM_JOOMGALLERY_SUBIFD_EXPOSUREPROGRAM_2'),
                                3 => Text::_('COM_JOOMGALLERY_SUBIFD_EXPOSUREPROGRAM_3'),
                                4 => Text::_('COM_JOOMGALLERY_SUBIFD_EXPOSUREPROGRAM_4'),
                                5 => Text::_('COM_JOOMGALLERY_SUBIFD_EXPOSUREPROGRAM_5'),
                                6 => Text::_('COM_JOOMGALLERY_SUBIFD_EXPOSUREPROGRAM_6'),
                                7 => Text::_('COM_JOOMGALLERY_SUBIFD_EXPOSUREPROGRAM_7'),
                                8 => Text::_('COM_JOOMGALLERY_SUBIFD_EXPOSUREPROGRAM_8')
                ),
  34855 => array(   'Attribute'   => "ISOSpeedRatings",
                    'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_ISOSPEEDRATINGS'),
                    'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_ISOSPEEDRATINGS_DESCRIPTION'),
                    'Calculation' => "",
                    'Format'      => "Unsigned Short",
                    'Units'       => ""
                ),
  36864 => array(   'Attribute'   => "ExifVersion",
                    'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_EXIFVERSION'),
                    'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_EXIFVERSION_DESCRIPTION'),
                    'Calculation' => "",
                    'Format'      => "Undefined",
                    'Units'       => ""
                ),
  36867 => array(   'Attribute'   => "DateTimeOriginal",
                    'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_DATETIMEORIGINAL'),
                    'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_DATETIMEORIGINAL_DESCRIPTION'),
                    'Calculation' => "",
                    'Format'      => "ASCII String",
                    'Units'       => ""
                ),
  36868 => array(   'Attribute'   => "DateTimeDigitized",
                    'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_DATETIMEDIGITIZED'),
                    'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_DATETIMEDIGITIZED_DESCRIPTION'),
                    'Calculation' => "",
                    'Format'      => "ASCII String",
                    'Units'       => ""
                ),
  37121 => array(   'Attribute'   => "ComponentsConfiguration",
                    'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_COMPONENTSCONFIGURATION'),
                    'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_COMPONENTSCONFIGURATION_DESCRIPTION'),
                    'Calculation' => "",
                    'Format'      => "Undefined",
                    'Units'       => ""
                ),
  37122 => array(   'Attribute'   => "CompressedBitsPerPixel",
                    'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_COMPRESSEDBITSPERPIXEL'),
                    'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_COMPRESSEDBITSPERPIXEL_DESCRIPTION'),
                    'Calculation' => "Denum",
                    'Format'      => "Unsigned Rational",
                    'Units'       => Text::_('COM_JOOMGALLERY_SUBIFD_COMPRESSEDBITSPERPIXEL_UNIT')
                ),
  37377 => array(   'Attribute'   => "ShutterSpeedValue",
                    'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_SHUTTERSPEEDVALUE'),
                    'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_SHUTTERSPEEDVALUE_DESCRIPTION'),
                    'Calculation' => "Denum",
                    'Format'      => "Signed Rational",
                    'Units'       => Text::_('COM_JOOMGALLERY_SUBIFD_SHUTTERSPEEDVALUE_UNIT')
                ),
  37378 => array(   'Attribute'   => "ApertureValue",
                    'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_APERTUREVALUE'),
                    'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_APERTUREVALUE_DESCRIPTION'),
                    'Calculation' => "Denum",
                    'Format'      => "Unsigned Rational",
                    'Units'       => Text::_('COM_JOOMGALLERY_SUBIFD_APERTUREVALUE_UNIT')
                ),
  37379 => array(   'Attribute'   => "BrightnessValue",
                    'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_BRIGHTNESSVALUE'),
                    'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_BRIGHTNESSVALUE_DESCRIPTION'),
                    'Calculation' => "Denum",
                    'Format'      => "Signed Rational",
                    'Units'       => Text::_('COM_JOOMGALLERY_SUBIFD_BRIGHTNESSVALUE_UNIT')
                ),
  37380 => array(   'Attribute'   => "ExposureBiasValue",
                    'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_EXPOSUREBIASVALUE'),
                    'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_EXPOSUREBIASVALUE_DESCRIPTION'),
                    'Calculation' => "",
                    'Format'      => "Signed Rational",
                    'Units'       => Text::_('COM_JOOMGALLERY_SUBIFD_EXPOSUREBIASVALUE_UNIT')
                ),
  37381 => array(   'Attribute'   => "MaxApertureValue",
                    'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_MAXAPERTUREVALUE'),
                    'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_MAXAPERTUREVALUE_DESCRIPTION'),
                    'Calculation' => "Denum",
                    'Format'      => "Unsigned Rational",
                    'Units'       => Text::_('COM_JOOMGALLERY_SUBIFD_APERTUREVALUE_UNIT')
                ),
  37382 => array(   'Attribute'   => "SubjectDistance",
                    'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_SUBJECTDISTANCE'),
                    'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_SUBJECTDISTANCE_DESCRIPTION'),
                    'Calculation' => "",
                    'Format'      => "Signed Rational",
                    'Units'       => Text::_('COM_JOOMGALLERY_SUBIFD_SUBJECTDISTANCE_UNIT')
                ),
  37383 => array(   'Attribute'   => "MeteringMode",
                    'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_METERINGMODE'),
                    'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_METERINGMODE_DESCRIPTION'),
                    'Calculation' => "Array",
                    'Format'      => "Unsigned Short",
                    'Units'       => "",
                                0 => Text::_('COM_JOOMGALLERY_SUBIFD_METERINGMODE_0'),
                                1 => Text::_('COM_JOOMGALLERY_SUBIFD_METERINGMODE_1'),
                                2 => Text::_('COM_JOOMGALLERY_SUBIFD_METERINGMODE_2'),
                                3 => Text::_('COM_JOOMGALLERY_SUBIFD_METERINGMODE_3'),
                                4 => Text::_('COM_JOOMGALLERY_SUBIFD_METERINGMODE_4'),
                                5 => Text::_('COM_JOOMGALLERY_SUBIFD_METERINGMODE_5'),
                                6 => Text::_('COM_JOOMGALLERY_SUBIFD_METERINGMODE_6'),
                              255 => Text::_('COM_JOOMGALLERY_SUBIFD_METERINGMODE_255')
                ),
  37384 => array(   'Attribute'   => "LightSource",
                    'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_LIGHTSOURCE'),
                    'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_LIGHTSOURCE_DESCRIPTION'),
                    'Calculation' => "Array",
                    'Format'      => "Unsigned Short",
                    'Units'       => "",
                                0 => Text::_('COM_JOOMGALLERY_SUBIFD_LIGHTSOURCE_0'),
                                1 => Text::_('COM_JOOMGALLERY_SUBIFD_LIGHTSOURCE_1'),
                                2 => Text::_('COM_JOOMGALLERY_SUBIFD_LIGHTSOURCE_2'),
                                3 => Text::_('COM_JOOMGALLERY_SUBIFD_LIGHTSOURCE_3'),
                                4 => Text::_('COM_JOOMGALLERY_SUBIFD_LIGHTSOURCE_4'),
                                9 => Text::_('COM_JOOMGALLERY_SUBIFD_LIGHTSOURCE_9'),
                                10 => Text::_('COM_JOOMGALLERY_SUBIFD_LIGHTSOURCE_10'),
                                11 => Text::_('COM_JOOMGALLERY_SUBIFD_LIGHTSOURCE_11'),
                                12 => Text::_('COM_JOOMGALLERY_SUBIFD_LIGHTSOURCE_12'),
                                13 => Text::_('COM_JOOMGALLERY_SUBIFD_LIGHTSOURCE_13'),
                                14 => Text::_('COM_JOOMGALLERY_SUBIFD_LIGHTSOURCE_14'),
                                15 => Text::_('COM_JOOMGALLERY_SUBIFD_LIGHTSOURCE_15'),
                                17 => Text::_('COM_JOOMGALLERY_SUBIFD_LIGHTSOURCE_17'),
                                18 => Text::_('COM_JOOMGALLERY_SUBIFD_LIGHTSOURCE_18'),
                                19 => Text::_('COM_JOOMGALLERY_SUBIFD_LIGHTSOURCE_19'),
                                20 => Text::_('COM_JOOMGALLERY_SUBIFD_LIGHTSOURCE_20'),
                                21 => Text::_('COM_JOOMGALLERY_SUBIFD_LIGHTSOURCE_21'),
                                22 => Text::_('COM_JOOMGALLERY_SUBIFD_LIGHTSOURCE_22'),
                                23 => Text::_('COM_JOOMGALLERY_SUBIFD_LIGHTSOURCE_23'),
                                24 => Text::_('COM_JOOMGALLERY_SUBIFD_LIGHTSOURCE_24'),
                              255 => Text::_('COM_JOOMGALLERY_SUBIFD_LIGHTSOURCE_255')
                ),
  37385 => array(   'Attribute'   => "Flash",
                    'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_FLASH'),
                    'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_FLASH_DESCRIPTION'),
                    'Calculation' => "Array",
                    'Format'      => "Unsigned Short",
                    'Units'       => "",
                                0 => Text::_('COM_JOOMGALLERY_SUBIFD_FLASH_0'),
                                1 => Text::_('COM_JOOMGALLERY_SUBIFD_FLASH_1'),
                                5 => Text::_('COM_JOOMGALLERY_SUBIFD_FLASH_5'),
                                7 => Text::_('COM_JOOMGALLERY_SUBIFD_FLASH_7'),
                                8 => Text::_('COM_JOOMGALLERY_SUBIFD_FLASH_8'),
                                9 => Text::_('COM_JOOMGALLERY_SUBIFD_FLASH_9'),
                                13 => Text::_('COM_JOOMGALLERY_SUBIFD_FLASH_13'),
                                15 => Text::_('COM_JOOMGALLERY_SUBIFD_FLASH_15'),
                                16 => Text::_('COM_JOOMGALLERY_SUBIFD_FLASH_16'),
                                20 => Text::_('COM_JOOMGALLERY_SUBIFD_FLASH_20'),
                                24 => Text::_('COM_JOOMGALLERY_SUBIFD_FLASH_24'),
                                25 => Text::_('COM_JOOMGALLERY_SUBIFD_FLASH_25'),
                                29 => Text::_('COM_JOOMGALLERY_SUBIFD_FLASH_29'),
                                31 => Text::_('COM_JOOMGALLERY_SUBIFD_FLASH_31'),
                                32 => Text::_('COM_JOOMGALLERY_SUBIFD_FLASH_32'),
                                48 => Text::_('COM_JOOMGALLERY_SUBIFD_FLASH_48'),
                                65 => Text::_('COM_JOOMGALLERY_SUBIFD_FLASH_65'),
                                69 => Text::_('COM_JOOMGALLERY_SUBIFD_FLASH_69'),
                                71 => Text::_('COM_JOOMGALLERY_SUBIFD_FLASH_71'),
                                73 => Text::_('COM_JOOMGALLERY_SUBIFD_FLASH_73'),
                                77 => Text::_('COM_JOOMGALLERY_SUBIFD_FLASH_77'),
                                79 => Text::_('COM_JOOMGALLERY_SUBIFD_FLASH_79'),
                                80 => Text::_('COM_JOOMGALLERY_SUBIFD_FLASH_80'),
                                88 => Text::_('COM_JOOMGALLERY_SUBIFD_FLASH_88'),
                                89 => Text::_('COM_JOOMGALLERY_SUBIFD_FLASH_89'),
                                93 => Text::_('COM_JOOMGALLERY_SUBIFD_FLASH_93'),
                                95 => Text::_('COM_JOOMGALLERY_SUBIFD_FLASH_95')
                ),
  37386 => array(   'Attribute'   => "FocalLength",
                    'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_FOCALLENGTH'),
                    'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_FOCALLENGTH_DESCRIPTION'),
                    'Calculation' => "Denum",
                    'Format'      => "Unsigned Rational",
                    'Units'       => Text::_('COM_JOOMGALLERY_SUBIFD_FOCALLENGTH_UNIT')
                ),
  37510 => array(   'Attribute'   => "UserComment",
                    'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_USERCOMMENT'),
                    'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_USERCOMMENT_DESCRIPTION'),
                    'Calculation' => "",
                    'Format'      => "Undefined",
                    'Units'       => ""
                ),
//       37520 => array(   'Attribute'   => "SubsecTime",
//                         'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_SUBSECTIME'),
//                         'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_SUBSECTIME_DESCRIPTION'),
//                         'Calculation' => "",
//                         'Format'      => "ASCII String",
//                         'Units'       => ""
//                     ),
//       37521 => array(   'Attribute'   => "SubsecTimeOriginal",
//                         'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_SUBSECTIMEORIGINAL'),
//                         'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_SUBSECTIMEORIGINAL_DESCRIPTION'),
//                         'Calculation' => "",
//                         'Format'      => "ASCII String",
//                         'Units'       => ""
//                     ),
//       37522 => array(   'Attribute'   => "SubsecTimeDigitized",
//                         'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_SUBSECTIMEDIGITIZED'),
//                         'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_SUBSECTIMEDIGITIZED_DESCRIPTION'),
//                         'Calculation' => "",
//                         'Format'      => "ASCII String",
//                         'Units'       => ""
//                     ),
//       40960 => array(   'Attribute'   => "FlashPixVersion",
//                         'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_FLASHPIXVERSION'),
//                         'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_FLASHPIXVERSION_DESCRIPTION'),
//                         'Calculation' => "",
//                         'Format'      => "Undefined",
//                         'Units'       => ""
//                     ),
  40961 => array(   'Attribute'   => "ColorSpace",
                    'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_COLORSPACE'),
                    'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_COLORSPACE_DESCRIPTION'),
                    'Calculation' => "Array",
                    'Format'      => "Unsigned Short",
                    'Units'       => "",
                                1 => Text::_('COM_JOOMGALLERY_SUBIFD_COLORSPACE_SRGB'),
                            65535 => Text::_('COM_JOOMGALLERY_SUBIFD_COLORSPACE_65535')
                ),
  40962 => array(   'Attribute'   => "ExifImageWidth",
                    'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_EXIFIMAGEWIDTH'),
                    'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_EXIFIMAGEWIDTH_DESCRIPTION'),
                    'Calculation' => "",
                    'Format'      => "Unsigned Short/Long",
                    'Units'       => Text::_('COM_JOOMGALLERY_SUBIFD_EXIFIMAGEWIDTHLENGTH_UNIT')
                ),
  40963 => array(   'Attribute'   => "ExifImageLength",
                    'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_EXIFIMAGELENGTH'),
                    'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_EXIFIMAGELENGTH_DESCRIPTION'),
                    'Calculation' => "",
                    'Format'      => "Unsigned Short/Long",
                    'Units'       => Text::_('COM_JOOMGALLERY_SUBIFD_EXIFIMAGEWIDTHLENGTH_UNIT')
                ),
//       40964 => array(   'Attribute'   => "RelatedSoundFile",
//                         'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_RELATEDSOUNDFILE'),
//                         'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_RELATEDSOUNDFILE_DESCRIPTION'),
//                         'Calculation' => "",
//                         'Format'      => "ASCII String",
//                         'Units'       => ""
//                     ),
//       40965 => array(   'Attribute'   => "ExifInteroperabilityOffset",
//                         'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_EXIFINTEROPERABILITYOFFSET'),
//                         'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_EXIFINTEROPERABILITYOFFSET_DESCRIPTION'),
//                         'Calculation' => "",
//                         'Format'      => "Unsigned Long",
//                         'Units'       => ""
//                     ),
  41486 => array(   'Attribute'   => "FocalPlaneXResolution",
                    'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_FOCALPLANEXRESOLUTION'),
                    'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_FOCALPLANEXRESOLUTION_DESCRIPTION'),
                    'Calculation' => "Denum",
                    'Format'      => "Unsigned Rational",
                    'Units'       => Text::_('COM_JOOMGALLERY_SUBIFD_FOCALPLANEXYRESOLUTION_UNIT')
                ),
  41487 => array(   'Attribute'   => "FocalPlaneYResolution",
                    'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_FOCALPLANEYRESOLUTION'),
                    'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_FOCALPLANEYRESOLUTION_DESCRIPTION'),
                    'Calculation' => "Denum",
                    'Format'      => "Unsigned Rational",
                    'Units'       => Text::_('COM_JOOMGALLERY_SUBIFD_FOCALPLANEXYRESOLUTION_UNIT')
                ),
  41488 => array(   'Attribute'   => "FocalPlaneResolutionUnit",
                    'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_FOCALPLANERESOLUTIONUNIT'),
                    'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_FOCALPLANERESOLUTIONUNIT_DESCRIPTION'),
                    'Calculation' => "Array",
                    'Format'      => "Unsigned Short",
                    'Units'       => "",
                                1 => Text::_('COM_JOOMGALLERY_SUBIFD_FOCALPLANERESOLUTIONUNIT_1'),
                                2 => Text::_('COM_JOOMGALLERY_SUBIFD_FOCALPLANERESOLUTIONUNIT_2'),
                                3 => Text::_('COM_JOOMGALLERY_SUBIFD_FOCALPLANERESOLUTIONUNIT_3')
                ),
  41493 => array(   'Attribute'   => "ExposureIndex",
                    'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_EXPOSUREINDEX'),
                    'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_EXPOSUREINDEX_DESCRIPTION'),
                    'Calculation' => "",
                    'Format'      => "Unsigned Rational",
                    'Units'       => ""
                ),
  41495 => array(   'Attribute'   => "SensingMethod",
                    'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_SENSINGMETHOD'),
                    'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_SENSINGMETHOD_DESCRIPTION'),
                    'Calculation' => "Array",
                    'Format'      => "Unsigned Short",
                    'Units'       => "",
                                1 => Text::_('COM_JOOMGALLERY_SUBIFD_SENSINGMETHOD_1'),
                                2 => Text::_('COM_JOOMGALLERY_SUBIFD_SENSINGMETHOD_2'),
                                3 => Text::_('COM_JOOMGALLERY_SUBIFD_SENSINGMETHOD_3'),
                                4 => Text::_('COM_JOOMGALLERY_SUBIFD_SENSINGMETHOD_4'),
                                5 => Text::_('COM_JOOMGALLERY_SUBIFD_SENSINGMETHOD_5'),
                                7 => Text::_('COM_JOOMGALLERY_SUBIFD_SENSINGMETHOD_7'),
                                8 => Text::_('COM_JOOMGALLERY_SUBIFD_SENSINGMETHOD_8')
                ),
  41728 => array(   'Attribute'   => "FileSource",
                    'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_FILESOURCE'),
                    'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_FILESOURCE_DESCRIPTION'),
                    'Calculation' => "",
                    'Format'      => "Undefined",
                    'Units'       => "",
                                3 => Text::_('COM_JOOMGALLERY_SUBIFD_FILESOURCE_3')
                ),
  41729 => array(   'Attribute'   => "SceneType",
                    'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_SCENETYPE'),
                    'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_SCENETYPE_DESCRIPTION'),
                    'Calculation' => "",
                    'Format'      => "Undefined",
                    'Units'       => "",
                                1 => Text::_('COM_JOOMGALLERY_SUBIFD_SCENETYPE_1')
                ),
  41986 => array(   'Attribute'   => "ExposureMode",
                    'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_EXPOSUREMODE'),
                    'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_EXPOSUREMODE_DESCRIPTION'),
                    'Calculation' => "Array",
                    'Format'      => "Unsigned Short",
                    'Units'       => "",
                                0 => Text::_('COM_JOOMGALLERY_SUBIFD_EXPOSUREMODE_0'),
                                1 => Text::_('COM_JOOMGALLERY_SUBIFD_EXPOSUREMODE_1'),
                                2 => Text::_('COM_JOOMGALLERY_SUBIFD_EXPOSUREMODE_2')
                ),
  41987 => array(   'Attribute'   => "WhiteBalance",
                    'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_WHITEBALANCE'),
                    'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_WHITEBALANCE_DESCRIPTION'),
                    'Calculation' => "Array",
                    'Format'      => "Unsigned Short",
                    'Units'       => "",
                                0 => Text::_('COM_JOOMGALLERY_SUBIFD_WHITEBALANCE_0'),
                                1 => Text::_('COM_JOOMGALLERY_SUBIFD_WHITEBALANCE_1')
                ),
  41988 => array(   'Attribute'   => "DigitalZoomRatio",
                    'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_DIGITALZOOMRATIO'),
                    'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_DIGITALZOOMRATIO_DESCRIPTION'),
                    'Calculation' => "",
                    'Format'      => "Unsigned Rational",
                    'Units'       => ""
                ),
  41989 => array(   'Attribute'   => "FocalLengthIn35mmFilm",
                    'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_FOCALLENGTHIN35MMFILM'),
                    'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_FOCALLENGTHIN35MMFILM_DESCRIPTION'),
                    'Calculation' => "",
                    'Format'      => "Unsigned Short",
                    'Units'       => Text::_('COM_JOOMGALLERY_SUBIFD_FOCALLENGTHIN35MMFILM_UNIT')
                ),
  41990 => array(   'Attribute'   => "SceneCaptureType",
                    'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_SCENECAPTURETYPE'),
                    'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_SCENECAPTURETYPE_DESCRIPTION'),
                    'Calculation' => "Array",
                    'Format'      => "Unsigned Short",
                    'Units'       => "",
                                0 => Text::_('COM_JOOMGALLERY_SUBIFD_SCENECAPTURETYPE_0'),
                                1 => Text::_('COM_JOOMGALLERY_SUBIFD_SCENECAPTURETYPE_1'),
                                2 => Text::_('COM_JOOMGALLERY_SUBIFD_SCENECAPTURETYPE_2'),
                                3 => Text::_('COM_JOOMGALLERY_SUBIFD_SCENECAPTURETYPE_3')
                ),
  41991 => array(   'Attribute'   => "GainControl",
                    'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_GAINCONTROL'),
                    'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_GAINCONTROL_DESCRIPTION'),
                    'Calculation' => "Array",
                    'Format'      => "Unsigned Rational",
                    'Units'       => "",
                                0 => Text::_('COM_JOOMGALLERY_SUBIFD_GAINCONTROL_0'),
                                1 => Text::_('COM_JOOMGALLERY_SUBIFD_GAINCONTROL_1'),
                                2 => Text::_('COM_JOOMGALLERY_SUBIFD_GAINCONTROL_2'),
                                3 => Text::_('COM_JOOMGALLERY_SUBIFD_GAINCONTROL_3'),
                                4 => Text::_('COM_JOOMGALLERY_SUBIFD_GAINCONTROL_4')
                ),
  41992 => array(   'Attribute'   => "Contrast",
                    'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_CONTRAST'),
                    'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_CONTRAST_DESCRIPTION'),
                    'Calculation' => "Array",
                    'Format'      => "Unsigned Short",
                    'Units'       => "",
                                0 => Text::_('COM_JOOMGALLERY_SUBIFD_CONTRAST_0'),
                                1 => Text::_('COM_JOOMGALLERY_SUBIFD_CONTRAST_1'),
                                2 => Text::_('COM_JOOMGALLERY_SUBIFD_CONTRAST_2')
                ),
  41993 => array(   'Attribute'   => "Saturation",
                    'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_SATURATION'),
                    'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_SATURATION_DESCRIPTION'),
                    'Calculation' => "Array",
                    'Format'      => "Unsigned Short",
                    'Units'       => "",
                                0 => Text::_('COM_JOOMGALLERY_SUBIFD_SATURATION_0'),
                                1 => Text::_('COM_JOOMGALLERY_SUBIFD_SATURATION_1'),
                                2 => Text::_('COM_JOOMGALLERY_SUBIFD_SATURATION_2')
                ),
  41994 => array(   'Attribute'   => "Sharpness",
                    'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_SHARPNESS'),
                    'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_SHARPNESS_DESCRIPTION'),
                    'Calculation' => "Array",
                    'Format'      => "Unsigned Short",
                    'Units'       => "",
                                0 => Text::_('COM_JOOMGALLERY_SUBIFD_SHARPNESS_0'),
                                1 => Text::_('COM_JOOMGALLERY_SUBIFD_SHARPNESS_1'),
                                2 => Text::_('COM_JOOMGALLERY_SUBIFD_SHARPNESS_2')
                ),
//       41995 => array(   'Attribute'   => "DeviceSettingDescription",
//                         'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_DEVICESETTINGDESCRIPTION'),
//                         'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_DEVICESETTINGDESCRIPTION_DESCRIPTION'),
//                         'Calculation' => "",
//                         'Format'      => "Undefined",
//                         'Units'       => ""
//                     ),
  41996 => array(   'Attribute'   => "SubjectDistanceRange",
                    'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_SUBJECTDISTANCERANGE'),
                    'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_SUBJECTDISTANCERANGE_DESCRIPTION'),
                    'Calculation' => "Array",
                    'Format'      => "Unsigned Short",
                    'Units'       => "",
                                0 => Text::_('COM_JOOMGALLERY_SUBIFD_SUBJECTDISTANCERANGE_0'),
                                1 => Text::_('COM_JOOMGALLERY_SUBIFD_SUBJECTDISTANCERANGE_1'),
                                2 => Text::_('COM_JOOMGALLERY_SUBIFD_SUBJECTDISTANCERANGE_2'),
                                3 => Text::_('COM_JOOMGALLERY_SUBIFD_SUBJECTDISTANCERANGE_3')
                ),
//       42016 => array(   'Attribute'   => "ImageUniqueID",
//                         'Name'        => Text::_('COM_JOOMGALLERY_SUBIFD_IMAGEUNIQUEID'),
//                         'Description' => Text::_('COM_JOOMGALLERY_SUBIFD_IMAGEUNIQUEID_DESCRIPTION'),
//                         'Calculation' => "",
//                         'Format'      => "",
//                         'Units'       => ""
//                     )
  ),

  "GPS" => array
  (
//           0 => array(   'Attribute'   => "GPSVersionID",
//                         'Name'        => Text::_('COM_JOOMGALLERY_GPS_GPSVERSIONID'),
//                         'Description' => Text::_('COM_JOOMGALLERY_GPS_GPSVERSIONID_DESCRIPTION'),
//                         'Calculation' => "",
//                         'Format'      => "Byte",
//                         'Units'       => ""
//                     ),
      1 => array(   'Attribute'   => "GPSLatitudeRef",
                    'Name'        => Text::_('COM_JOOMGALLERY_GPS_GPSLATITUDEREF'),
                    'Description' => Text::_('COM_JOOMGALLERY_GPS_GPSLATITUDEREF_DESCRIPTION'),
                    'Calculation' => "",
                    'Format'      => "ASCII String",
                    'Units'       => ""
                ),
      2 => array(   'Attribute'   => "GPSLatitude",
                    'Name'        => Text::_('COM_JOOMGALLERY_GPS_GPSLATITUDE'),
                    'Description' => Text::_('COM_JOOMGALLERY_GPS_GPSLATITUDE_DESCRIPTION'),
                    'Calculation' => "DegMinSec",
                    'Format'      => "Unsigned Rational",
                    'Units'       => ""
                ),
      3 => array(   'Attribute'   => "GPSLongitudeRef",
                    'Name'        => Text::_('COM_JOOMGALLERY_GPS_GPSLONGITUDEREF'),
                    'Description' => Text::_('COM_JOOMGALLERY_GPS_GPSLONGITUDEREF_DESCRIPTION'),
                    'Calculation' => "",
                    'Format'      => "ASCII String",
                    'Units'       => ""
                ),
      4 => array(   'Attribute'   => "GPSLongitude",
                    'Name'        => Text::_('COM_JOOMGALLERY_GPS_GPSLONGITUDE'),
                    'Description' => Text::_('COM_JOOMGALLERY_GPS_GPSLONGITUDE_DESCRIPTION'),
                    'Calculation' => "DegMinSec",
                    'Format'      => "Unsigned Rational",
                    'Units'       => ""
                ),
      5 => array(   'Attribute'   => "GPSAltitudeRef",
                    'Name'        => Text::_('COM_JOOMGALLERY_GPS_GPSALTITUDEREF'),
                    'Description' => Text::_('COM_JOOMGALLERY_GPS_GPSALTITUDEREF_DESCRIPTION'),
                    'Calculation' => "",
                    'Format'      => "Byte",
                    'Units'       => ""
                ),
      6 => array(   'Attribute'   => "GPSAltitude",
                    'Name'        => Text::_('COM_JOOMGALLERY_GPS_GPSALTITUDE'),
                    'Description' => Text::_('COM_JOOMGALLERY_GPS_GPSALTITUDE_DESCRIPTION'),
                    'Calculation' => "Denum",
                    'Format'      => "Unsigned Rational",
                    'Units'       => Text::_('COM_JOOMGALLERY_GPS_GPSALTITUDE_UNIT')
                ),
  ),
);
